Installer Weboob

4 réponses [Dernière contribution]
Substance2004
Hors ligne
A rejoint: 11/05/2013

Bonjour

Je cherche à augmenter mes capacités pour voir de la vidéo en streaming et Weboob était conseillé dans le forum comme un bon outil.
https://trisquel.info/fr/forum/plugin-video-flash-et-autres

En revanche, j'ai bien essayé après avoir téléchargé le paquet wheezy debian de weeboob de l'installer grâce à Gdebi mais j'obtiens toujours ce message d'erreur : La dépendance ne peut être satisfaite : python-weboob-core (>=O.c-4.1)

J'ai bien essayé de chercher une version ultérieure mais ça reste assez compliqué.

Je leur ai envoyé un mail resté sans réponse.

Je remarque qu'en regardant l'installation pour Mandriva,
http://wiki.mandriva.com/fr/Weboob

ils recommande d'installer certains paquets python...

[root@ordi ~]# urpmi python-setuptools python-qt4 python-qt4-core python-qt4-gui python-qt4-multimedia python-qt4-multimedia python-qt4-network python-qt4-opengl python-qt4-scripttools python-qt4-svg python-qt4-webkit python-qt4-xml python-qt4-xmlpatterns python-qt4-devel python-pkg-resources python-dateutil python-qt4-phonon python-html2text python-html5lib python-lxml python-yaml

que je n'ai pas vu installé dans Synaptic.

J'arrive à trouver certains paquets dans synaptic (que j'installe), d'autres non (je ne sais pas par quoi les remplacer).

Quelqu'un aurait-il une idée à me suggérer ?

Merci d'avance

Magic Banana

I am a member!

Hors ligne
A rejoint: 07/24/2010

L'erreur est claire : il te faut installer le paquet "python-weboob-core" avant d'installer "weboob". Une recherche sur https://packages.debian.org te revoie cette page : https://packages.debian.org/search?keywords=weboob

Remarque qu'il y a, aussi sur cette page, un paquet pour une interface graphique Qt à Weboob (à installer, si tu la souhaites, après weboob).

Je viens de télécharger les paquet jessie (les sites Web changeant régulièrement, mieux vaut une version récente). Il se trouve que "python-weboob-core" (en tout cas la version dans jessie) dépend, lui aussi, d'un paquet en dehors des dépôts Trisquel : "python-cssselect". Après une nouvelle recherche, tu tombes sur cette pages : https://packages.debian.org/jessie/all/python-cssselect/download

EDIT : je découvre aussi qu'il faut installer le paquet "python-gdata" (qui, lui, est dans les dépôts Trisquel) pour pouvoir ajouter le backend youtube à videoob.

Substance2004
Hors ligne
A rejoint: 11/05/2013

Tout s'est bien déroulé et Weboob est bien installé.

En revanche, je n'arrive pas en copiant l'url d'une video de certains sites (ina, france télévision, arte, parlement europeen) dans Videoob à accéder à la vidéo.

Dailymotion et canal+ fonctionnent, mais j'ai une image carrée.

De plus, le mode recherche d'une video ne fonctionne pas. J'obtiens "search_vdeo() got an unexpected keyword argument 'max_results'.fenêtre que je peut avoir autant que j'ai sélectionné de sites.

Tout n'est pas installé dans la version "Jessie" mis a part python-weboob-core et python-cssselect.

Cela en serait-il la cause ??? Les versions wheezy sont considérées comme stable.

Merci pour ta patience.

Substance2004
Hors ligne
A rejoint: 11/05/2013

Magic Banana,

Tu m'as laissé réfléchir par moi même. Ça a porté ses fruits.

C'est pas toujours évident comme j'expérimente encore, mais avec de la volonté j'y arrive.

Je pensais que paquets wheezy, jessie ect... pouvaient se mélanger ensemble , mais c'était oublier que ces paquets avaient des numéros de version.

Tout semble fonctionner correctement.

Merci encore.

Substance2004
Hors ligne
A rejoint: 11/05/2013

Visiblement quelques problèmes encore, mais je crois en regardant ce qui fonctionne et ce qui ne fonctionne pas que c'est plus une question des différents développeurs de patch qui n'ont pas encore eu le temps de les mettre à jour.

Outil intérssant !